package com.mtgg.controller;

import com.mtgg.bean.ConfigBean;
import com.mtgg.bean.PayLogDTO;
import com.mtgg.common.ErrorCode;
import com.mtgg.common.Response;
import com.mtgg.dto.MtRecordDTO;
import com.mtgg.entity.MtRecordPO;
import com.mtgg.service.BatisService;
import com.mtgg.utils.ExcelUtil;
import com.mtgg.utils.Page;
import com.mtgg.utils.PageDataDTO;
import com.mtgg.utils.voice.TtsMain;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Author: MTGG
 * @Date: 22:08 2018/7/8
 * @Describe:
 */
@Slf4j
@RestController
@RequestMapping("/server")
public class ServerController {

    @Autowired
    private ConfigBean configBean;
    @Autowired
    private BatisService batisService;


    @RequestMapping("/list")
    public List list(){
        List<List<String>> list = ExcelUtil.getExcel(configBean.getExcelUrl());
        List<PayLogDTO> doDTOList = new ArrayList<PayLogDTO>();
        int i = 0;
        for (List<String> dataList:list){
            if (i == 0){
                i++;
                continue;
            }
            PayLogDTO dataDoDTO = new PayLogDTO();
            dataDoDTO.setAccount(dataList.get(0));
            dataDoDTO.setTotalFee(Integer.parseInt(dataList.get(1)));
            dataDoDTO.setDate(dataList.get(2));
            doDTOList.add(dataDoDTO);
        }

        return doDTOList;
    }

    /**
     * @Author: MTGG
     * @Date: 0:28 2018/5/14
     * @Describe: login check  密码写死
     */
    @RequestMapping(value = "/login",method = RequestMethod.POST)
    public boolean login(String name,String pwd){
        if ("jiaheshun".equals(name) && "jiaheshun888".equals(pwd)){
            return true;
        }
        return false;
    }

    /**
     * @Author: MTGG
     * @Date: 22:12 2018/7/19
     * @Describe: 获取list
     */
    @RequestMapping(value = "/lists",method = RequestMethod.GET)
    public Response lists(){
        Response result = new Response();
        log.info("start");
        PageDataDTO pageDataDTO = new PageDataDTO();

        List<MtRecordDTO> list = batisService.getList(pageDataDTO);
        int totalMoney = batisService.getTotalMoney();
        log.info("end");
        result.setRes(ErrorCode.SUCCESS.code);
        result.setMsg(String.valueOf(totalMoney));
        result.setObj(list);
        return result;
    }

    /**
     * @Author: MTGG
     * @Date: 15:45 2018/7/20
     * @Describe:
     */
    @RequestMapping(value = "/status",method = RequestMethod.GET)
    public Response status(){
        Response result = new Response();
        log.info("--check--");
        int ret = batisService.getCountByStatus();
        result.setRes(ret);
        return result;
    }

    /**
     * @Author: MTGG
     * @Date: 22:59 2018/7/23
     * @Describe: 生成wav，获取路径
     */
    @RequestMapping(value = "/file",method = RequestMethod.POST)
    public Response file(HttpServletRequest request){
        Response result = new Response();
        (new TtsMain()).voiceRun(request);
        return result;
    }

    /**
     * @Author: MTGG
     * @Date: 17:27 2018/7/20
     * @Describe: 确定更新状态
     */
    @RequestMapping(value = "/update/{id}",method = RequestMethod.POST)
    public Response status(@PathVariable("id") Long id){
        Response result = new Response();
        log.info("确认状态接收：{}", id);
        MtRecordPO mtRecordPO = new MtRecordPO();
        mtRecordPO.setId(id);
        mtRecordPO.setStatus((byte) 1);
        int ret = batisService.updateById(mtRecordPO);
        log.info("id:{}更改状态返回：{}", id, ret);
        result.setRes(ErrorCode.SUCCESS.code);
        return result;
    }
}
