package com.mtgg.utils;

import com.alibaba.fastjson.JSONObject;
import com.google.common.collect.Lists;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.*;
import org.springframework.stereotype.Component;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.springframework.web.client.RestTemplate;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author: MTGG
 * @Date: 0:40 2018/7/6
 * @Describe: http工具
 */
@Component
public class HttpUtils {

    @Autowired
    private RestTemplate restTemplate;


    /**
     * @Author: MTGG
     * @Date: 0:40 2018/7/6
     * @Describe: 发送get请求
     */
    public JSONObject sendGet(String uri){
        HttpHeaders headers = new HttpHeaders();
        headers.setContentType(MediaType.APPLICATION_JSON_UTF8);
        HttpEntity<String> entity = new HttpEntity<String>(headers);
        String strbody=restTemplate.exchange(uri, HttpMethod.GET, entity,String.class).getBody();
        JSONObject jsonObject = JSONObject.parseObject(strbody);
        return jsonObject;
    }

    /**
     * @Author: MTGG
     * @Date: 0:50 2018/7/6
     * @Describe: post请求
     */
    public String post(String url, Map map)
            throws Exception {
        HttpHeaders headers=new HttpHeaders();
        headers.setContentType(MediaType.APPLICATION_JSON);
//        MultiValueMap<String,String> map=new LinkedMultiValueMap<String,String>();
        HttpEntity<Map> request=new HttpEntity<Map>(map,headers);
        ResponseEntity<String> response=restTemplate.postForEntity(url,request,String.class);
        return response.toString();
    }
}
