package com.mtgg.utils;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Author: MTGG   
 * @Date: 22:16 2018/7/19
 * @Describe: 
 */
public class Page<T> implements Serializable{
    private static final long serialVersionUID = 1L;

        // 当前页数
        private Integer currentPage = 1;
        // 每页显示记录的条数
        private Integer pageSize = 10;
        //总条数
        private Integer total ;
        //数据
        private List<T> data;
        //条件
        private Map<T,T> conMap;
        //起始位置
        private Integer startPos;


        public Page(){

        }
        public Page(Integer total, Integer currentPage, Integer pageSize) {
            if (currentPage != null) {
                this.currentPage = currentPage;
            }
            if (pageSize != null) {
                this.pageSize = pageSize;
            }
            this.total = total;
        }

    public Integer getStartPos() {
        return (pageSize * currentPage - pageSize);
    }

    public void setStartPos(Integer startPos) {
        this.startPos = startPos;
    }

    /**
         * 取得选择记录的初始位置
         *
         * @return
         */


        public Integer getCurrentPage() {
            return currentPage;
        }

        public void setCurrentPage(Integer currentPage) {
            this.currentPage = currentPage;
        }

        public Integer getPageSize() {
            return pageSize;
        }

        public void setPageSize(Integer pageSize) {
            this.pageSize = pageSize;
        }

        public Integer getTotal() {
            return total;
        }

        public void setTotal(Integer total) {
            this.total = total;
        }

        public List<T> getData() {
            return data;
        }

        public void setData(List<T> data) {
            this.data = data;
        }

    public Map<T, T> getConMap() {
        return conMap;
    }

    public void setConMap(Map<T, T> conMap) {
        this.conMap = conMap;
    }
}
