define(['jquery', "template", "components", "weui"], function (jquery, template, components, weui) {

    pay();

    function pay() {
        var code = components.GetQueryString("code");
        if (code == null || code == "") {
            return;
        }
        $.showLoading("加载中");
        // 根据code获取openid
        components.getMsg(apiUrl + "/oauth/openid", "code=" + code, "get").done(function (msg) {
            var obj = msg.obj;
            var state = components.GetQueryString('state');
            var str = new Array();
            str = state.split('-');
            var jsonData = {
                "totalFee": str[1],
                "account": str[0],
                "openid": obj.openid
            }

            //根据openid封装支付参数
            components.getMsg(apiUrl + "/wx/gzhPay", jsonData, "post").done(function (msg) {
                if (typeof WeixinJSBridge == "undefined") {
                    if (document.addEventListener) {
                        document.addEventListener('WeixinJSBridgeReady', onBridgeReady, false);
                    } else if (document.attachEvent) {
                        document.attachEvent('WeixinJSBridgeReady', onBridgeReady);
                        document.attachEvent('onWeixinJSBridgeReady', onBridgeReady);
                    }
                } else {
                    $.hideLoading();
                    onBridgeReady(msg);
                }
            });
        });
    }

    function onBridgeReady(msg) {
        var appid = msg.obj.appid;
        var timeStamp = msg.obj.timeStamp;
        var nonceStr = msg.obj.nonceStr;
        var packageValue = msg.obj.packageValue;
        var paySign = msg.obj.paySign;
        WeixinJSBridge.invoke(
            'getBrandWCPayRequest', {
                "appId": appid,     //公众号名称，由商户传入
                "timeStamp": timeStamp,         //时间戳，自1970年以来的秒数
                "nonceStr": nonceStr, //随机串
                "package": packageValue,
                "signType": "MD5",         //微信签名方式:
                "paySign": paySign    //微信签名
            }, function (res) {
                if (res.err_msg == "get_brand_wcpay_request:ok") {
                    $.toast("支付成功");
                    location.href = apiUrl;
                } else if (res.err_msg == "get_brand_wcpay_request:cancel") {
                    $.toast("取消操作", "cancel");
                    location.href = apiUrl;
                } else {
                    $.toast("支付失败", "forbidden");
                    location.href = apiUrl;
                }
            });
    }
})